import { NgModule } from '@angular/core';
import {RouterModule, Routes} from "@angular/router";
import {HomeComponent} from "./pages/home/home.component";
import {ThreadsComponent} from "./pages/BoardThreads/threads.component";
import {BoardsComponent} from "./pages/SingleThread/boards.component";
import {AboutComponent} from "./pages/about/about.component";
import {NotFoundComponent} from "./pages/not-found/not-found.component";

const appRoutes: Routes = [
  { path: '', component: HomeComponent },
  { path: 'threads', component: ThreadsComponent},
  { path: 'board', component: BoardsComponent },
  { path: 'about', component: AboutComponent },
  { path: '**', component: NotFoundComponent }
]

@NgModule({
  imports: [RouterModule.forRoot(appRoutes)],
  exports: [RouterModule]
})
export class AppRoutingModule { }
